[top]
components : survival

[survival]
type : cell
delay : transport
dim : (20,20)
border : wrapped
defaultdelaytime : 100

neighbors : survival(-2,0)
neighbors : survival(-1,-1) survival(-1,0) survival(-1,1)
neighbors : survival(0,-2) survival(0,-1)  survival(0,0) survival(0,1)  survival(0,2)
neighbors : survival(1,-1) survival(1,0) survival(1,1)
neighbors : survival(2,0)


initialvalue : -1
initialCellsValue : initport.val
neighborports : pa pd
localTransition : survival_rules

[survival_rules]
rule : {~pa := (0,0)~pa + 1; ~pd := round(uniform(1,4));} 100
       {(0,0)~pa = 1 and (not((0,-1)~pa = 8 and (0,1)~pa = 8)) and 
        not((-1,0)~pa = 8 and (1,0)~pa = 8)}
rule : {~pa := 0;} 100 {(0,0)~pa = 1 and 
       (((0,-1)~pa = 8 and (0,1)~pa = 8) or
       ((-1,0)~pa = 8 and (1,0)~pa = 8))}
rule : {~pa := 0;} 100 {(0,0)~pa >=2 and (0,0)~pa <=5 and 
       (0,0)~pd = 4 and (0,-1)~pa = 0}
rule : {~pa := 0;} 100 {(0,0)~pa >=2 and (0,0)~pa <=5 and 
                        ((0,0)~pd = 3 and (1,0)~pa = 0) and
                        ((1,1)~pd != 4 or 
                        ((1,1)~pd = 4 and ((1,1)~pa < 2 or (1,1)~pa > 5)) )}
rule : {~pa := 0;} 100 {(0,0)~pa >=2 and (0,0)~pa <=5 and
                       ((0,0)~pd = 2 and (0,1)~pa = 0) and
                       ((0,2)~pd != 4 or ((0,2)~pd = 4 and ((0,2)~pa < 2 or (0,2)~pa > 5))) and
                       ((-1,1)~pd != 3 or ((-1,1)~pd = 3 and ((-1,1)~pa < 2 or (-1,1)~pa > 5))) }
rule : {~pa := 0;} 100 {(0,0)~pa >=2 and (0,0)~pa <=5 and 
                       ((0,0)~pd = 1 and (-1,0)~pa = 0) and
                       ((-1,1)~pd != 4 or ((-1,1)~pd = 4 and ((-1,1)~pa < 2 or (-1,1)~pa > 5))) and 
                       ((-2,0)~pd != 3 or (-2,0)~pa < 2 or (-2,0)~pa > 5) and
                       ((-1,-1)~pd != 2 or ((-1,-1)~pd = 2 and ((-1,-1)~pa < 2 or (-1,-1)~pa > 5))) }
rule : {~pa := 0;} 100 {(0,0)~pa >=2 and (0,0)~pa <=5 and 
                                (((0,0)~pd = 4 and (0,-1)~pa != 0) or
                                ((0,0)~pd = 3 and 
                                ((1,0)~pa != 0 or ((1,0)~pa = 0 and (1,1)~pa >= 2 and (1,1)~pa <=5 and (1,1)~pd = 4))) or
                                ((0,0)~pd = 2 and ((0,1)~pa != 0 
                                   or ((0,1)~pa = 0 and (0,2)~pa >= 2 and (0,2)~pa <= 5 and (0,2)~pd =4)
                                   or ((0,1)~pa = 0 and (-1,1)~pa >=2 and (-1,1)~pa <= 5 and (-1,1)~pd = 3))) or
                                ((0,0)~pd = 1 and ((-1,0)~pa !=0 
                                   or ((-1,0)~pa = 0 and (-1,1)~pa >= 2 and (-1,1)~pa <= 5 and (-1,1)~pd = 4)
                                   or ((-1,0)~pa = 0 and (-2,0)~pa >= 2 and (-2,0)~pa <= 5 and (-2,0)~pd = 3)
                                   or ((-1,0)~pa = 0 and (-1,-1)~pa >= 2 and (-1,-1)~pa <= 5 and (-1,-1)~pd = 2))) )
                                and  
                                (((0,-1)~pa = 8 and (0,1)~pa = 8) or
                                ((-1,0)~pa = 8 and (1,0)~pa = 8)) }
rule : {~pa := (0,0)~pa + 1;} 100 {(0,0)~pa >=2 and (0,0)~pa <=5 and 
                               ( ((0,0)~pd = 4 and (0,-1)~pa != 0) or
                                ((0,0)~pd = 3 and ((1,0)~pa != 0 or ((1,0)~pa = 0 and (1,1)~pa >= 2 and (1,1)~pa <=5 and (1,1)~pd = 4))) or
                                ((0,0)~pd = 2 and ((0,1)~pa != 0
                                   or ((0,1)~pa = 0 and (0,2)~pa >= 2 and (0,2)~pa <= 5 and (0,2)~pd =4)
                                   or ((0,1)~pa = 0 and (-1,1)~pa >=2 and (-1,1)~pa <= 5 and (-1,1)~pd = 3))) or
                                ((0,0)~pd = 1 and ((-1,0)~pa !=0
                                   or ((-1,0)~pa = 0 and (-1,1)~pa >= 2 and (-1,1)~pa <= 5 and (-1,1)~pd = 4)
                                   or ((-1,0)~pa = 0 and (-2,0)~pa >= 2 and (-2,0)~pa <= 5 and (-2,0)~pd = 3)
                                   or ((-1,0)~pa = 0 and (-1,-1)~pa >= 2 and (-1,-1)~pa <= 5 and (-1,-1)~pd = 2))) )
                                 and
                               not (((0,-1)~pa = 8 and (0,1)~pa = 8) or
                                ((-1,0)~pa = 8 and (1,0)~pa = 8)) }
rule : {~pa := 0;} 100 {(0,0)~pa = 6}
rule : {~pa := 0;} 100 {(0,0)~pa = 8 and 
               (((0,-1)~pa >= 1 and (0,-1)~pa <= 6) or
               ((0,1)~pa >=1 and (0,1)~pa <= 6) or
               ((-1,0)~pa >=1 and (-1,0)~pa <= 6) or
               ((1,0)~pa >= 1 and (1,0)~pa <= 6)) }
rule : {~pa := 9;} 100 {(0,0)~pa = 8 and not
             ( ((0,-1)~pa >= 1 and (0,-1)~pa <= 6) or
               ((0,1)~pa >=1 and (0,1)~pa <= 6) or
               ((-1,0)~pa >=1 and (-1,0)~pa <= 6) or
               ((1,0)~pa >= 1 and (1,0)~pa <= 6) )}
rule : {~pa := 0;} 100 {(0,0)~pa = 9}
rule : {~pa := (0,1)~pa + 1; ~pd := round(uniform(1,4));} 100 {(0,0)~pa = 0 and ((0,1)~pa >= 2 and (0,1)~pa <= 5) and (0,1)~pd = 4}
rule : {~pa := (-1,0)~pa + 1; ~pd := round(uniform(1,4));} 100 {(0,0)~pa = 0 and 
               ((0,1)~pd != 4 or ((0,1)~pd = 4 and ((0,1)~pa < 2 or (0,1)~pa > 5))) and
               ( (-1,0)~pd = 3 and  ((-1,0)~pa >= 2 and (-1,0)~pa <= 5)) }
rule : {~pa := (0,-1)~pa + 1; ~pd := round(uniform(1,4));} 100 {(0,0)~pa = 0 and
               ( (0,1)~pd != 4  or ((0,1)~pd = 4 and ((0,1)~pa < 2 or (0,1)~pa > 5))) and
               ( (-1,0)~pd != 3 or ((-1,0)~pd = 3 and ((-1,0)~pa < 2 or (-1,0)~pa > 5))) and
               ( (0,-1)~pd = 2 and ((0,-1)~pa >= 2 and (0,-1)~pa <= 5)) }
rule : {~pa := (1,0)~pa + 1; ~pd := round(uniform(1,4));} 100 {(0,0)~pa = 0 and
               ( (0,1)~pd != 4  or ((0,1)~pd = 4 and ((0,1)~pa < 2 or (0,1)~pa > 5))) and
               ( (-1,0)~pd != 3 or ((-1,0)~pd = 3 and ((-1,0)~pa < 2 or (-1,0)~pa > 5))) and
               ( (0,-1)~pd != 2 or ((0,-1)~pd = 2 and ((0,-1)~pa < 2 or (0,-1)~pa > 5)))  and
               ( (1,0)~pd = 1 and ((1,0)~pa >= 2 and (1,0)~pa <= 5)) }
rule : {~pa := 1;} 100 {(0,0)~pa = 0 and 
                              ( ((0,1)~pd != 4 or (0,1)~pa < 2 or (0,1)~pa > 5) and 
                               ((-1,0)~pd != 3 or (-1,0)~pa < 2 or (-1,0)~pa > 5) and 
                               ((0,-1)~pd != 2 or (0,-1)~pa < 2 or (0,-1)~pa > 5) and 
                               ((1,0)~pd != 1 or (1,0)~pa < 2 or (1,0)~pa > 5) ) and
                               ((
                                ((0,-1)~pa >= 2 and (0,-1)~pa <= 5) and 
                                ((0,1)~pa >=2 and (0,1)~pa <= 5)
                               ) or 
                               (
                                ((-1,0)~pa >= 2 and (-1,0)~pa <= 5) and 
                                 ((1,0)~pa >= 2 and (1,0)~pa <= 5)
                               ))}

rule : {~pa := 8;} 100 {(0,0)~pa = 0 and 
                             ( ((0,1)~pd != 4 or (0,1)~pa < 2 or (0,1)~pa > 5) and
                               ((-1,0)~pd != 3 or (-1,0)~pa < 2 or (-1,0)~pa > 5) and
                               ((0,-1)~pd != 2 or (0,-1)~pa < 2 or (0,-1)~pa > 5) and
                               ((1,0)~pd != 1 or (1,0)~pa < 2 or (1,0)~pa > 5) )  and 
                             not( (
                                ((0,-1)~pa >= 2 and (0,-1)~pa <= 5) and
                                ((0,1)~pa >=2 and (0,1)~pa <= 5)
                               ) or
                               (
                                ((-1,0)~pa >= 2 and (-1,0)~pa <= 5) and
                                 ((1,0)~pa >= 2 and (1,0)~pa <= 5)
                               )
                               )
                               and
                               (((0,-1)~pa = 8 or  (0,1)~pa = 8) or 
                                ((-1,0)~pa = 8 or (1,0)~pa = 8))}
rule : {~pa := (0,0)~pa;} 100 {(0,0)~pa = 0 and t}

%initialize
rule : {~pa := 0; ~pd := 0;} 100 {(0,0)~pa = -1 and (0,0)~pd = -1}
rule : {~pa := round(uniform(1,6)); ~pd := round(uniform(1,4));} 100 {(0,0)~pa = -2 and (0,0)~pd = -2}
rule : {~pa := 8; ~pd := 0;} 100 { (0,0)~pa = -3 and (0,0)~pd = -3 }

rule : { } 100 {t}

                                                                                         

