[top]
components : survival

[survival]
type : cell
delay : transport
dim : (20,20)
border : wrapped
defaultdelaytime : 100

neighbors : survival(-1,0)
neighbors : survival(0,-1) survival(0,0) survival(0,1)
neighbors : survival(1,0)


initialValue : 0
initialrowvalue :  1      08000000000000000000
initialrowvalue :  2      00001001110030040000
initialrowvalue :  4      00002001110030500100
initialrowvalue :  5      00000001611030000000
initialrowvalue :  6      00402120100100010010
initialrowvalue :  7      00020000451000000100
initialrowvalue :  10     00102000100000400203
initialrowvalue :  12     00000000000000010020
initialrowvalue :  13     00101000508000600204
initialrowvalue :  14     00000000000000040020
initialrowvalue :  15     00000101300202000000
initialrowvalue :  16     00000120202102020000
initialrowvalue :  17     00000002060000000000
initialrowvalue :  18     00000000000000000080

localTransition : survival_rules
statevariables: age
statevalues: 0
initialvariablesvalue: init1.val

[survival_rules]
rule : {$age} { $age := (0,0) + 1; } 100 {($age >= 1 and $age <= 5)  and
        (not(((0,-1)=8 and (0,1)=8) or ((-1,0)=8 and (1,0)=8)))}
rule : {$age}  { $age := 0;} 100 {$age = 6}

rule : {$age} { $age := 1; } 100 {$age = 0 and 
                   (stateCount(2)+stateCount(3)+stateCount(4)+stateCount(5))>=2}

rule : {$age} { $age := 8; } 100 {($age = 0) and (stateCount(8)>=1) and 
                (stateCount(2)+stateCount(3)+stateCount(4)+stateCount(5))<=1}

rule : {$age} { $age := 0; } 100 {$age >= 1 and $age <= 6
       and (((0,-1)=8 and (0,1)=8) or ((-1,0)=8 and (1,0)=8))}

rule : {$age} {$age := (0,0); } 100 {$age >= 1 and $age <= 6 and t} 

rule : {$age} {$age := 0; } 100 {$age = 8 and
 (((0,-1)>=1 and (0,-1)<=6) or ((0,1)>=1 and (0,1)<=6) or
  ((-1,0)>=1 and (-1,0)<=6) or ((1,0)>=1 and (1,0)<=6))}

rule : {$age} {$age := 9;} 100 {$age = 8 and
              (not (((0,-1)>=1 and (0,-1)<=6) or ((0,1)>=1 and (0,1)<=6) or
                  ((-1,0)>=1 and (-1,0)<=6) or ((1,0)>=1 and (1,0)<=6)))}

rule : {$age} {$age := 0; } 100 {$age = 9}

rule : {$age} { $age := (0,0); } 100 {$age = 0 and t}

rule : {$age} {$age := 0;} 100 {t}




